Name:          gputils
Version:       1.4.0
Release:       1mamba
Summary:       A collection of tools for the Microchip (TM) PIC microcontrollers
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://gputils.sourceforge.net
Source:        http://downloads.sourceforge.net/project/gputils/gputils/%{version}/gputils-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
GPUTILS is a collection of tools for the Microchip (TM) PIC microcontrollers. It includes gpasm, gplink, and gplib. It's distributed under the terms of the GNU Public License. There are other GNU PIC tools available such as gpsim, a gputils compatible simulator.

%debug_package

%prep
%setup -q

%build
%configure
%make AM_LDFLAGS="-Wl,-warn-common"

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/gpasm
%{_bindir}/gpdasm
%{_bindir}/gplib
%{_bindir}/gplink
%{_bindir}/gpstrip
%{_bindir}/gpvc
%{_bindir}/gpvo
%dir %{_datadir}/gputils
%dir %{_datadir}/gputils/lkr
%{_datadir}/gputils/lkr/*.lkr
%dir %{_datadir}/gputils/header
%{_datadir}/gputils/header/*.inc
%lang(fr) %{_mandir}/fr/man1/gp*.1*
%{_mandir}/man1/gp*.1*
%doc AUTHORS COPYING

%changelog
* Thu Nov 06 2014 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic update by autodist

* Sat May 24 2014 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic update by autodist

* Tue May 28 2013 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic update by autodist

* Sun Apr 28 2013 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic version update by autodist

* Sun Jan 13 2013 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- automatic version update by autodist

* Sat Dec 08 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.14.3-1mamba
- package created by silvan using the webbuild interface
